#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 34. GNOME Applications

- Prev

  gnome-system-monitor-47.1

- Next

  gnome-weather-47.0

- Up
- Home

# gnome-terminal-3.54.2

## Introduction to GNOME Terminal

The GNOME Terminal package contains the terminal emulator for GNOME Desktop.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://gitlab.gnome.org/GNOME/gnome-terminal/-/archive/3.54.2/gnome-terminal-3.54.2.tar.gz

- Download MD5 sum: 31091beb0965c03a9d129095d1d7aca7

- Download size: 2.9 MB

- Estimated disk space required: 32 MB

- Estimated build time: 0.3 SBU

### GNOME Terminal Dependencies

#### Required

DConf-0.40.0, gsettings-desktop-schemas-47.1, itstool-2.0.7, libhandy-1.8.3, pcre2-10.45, and VTE-0.78.4

#### Recommended

gnome-shell-47.4 and Nautilus-47.2

#### Optional

appstream-glib-0.8.3 and desktop-file-utils-0.28

## Installation of GNOME Terminal

First, fix some deprecated schema entries:

    sed -i -r 's:"(/system):"/org/gnome\1:g' src/external.gschema.xml

Install GNOME Terminal by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install &&
    rm -v /usr/lib/systemd/user/gnome-terminal-server.service

### Note

To run GNOME Terminal, the environment variable `LANG` must be set to a UTF-8 locale prior to starting the graphical environment.

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D search_provider=false`: This switch disables the “search gnome-shell” provider. Use this option if you do not have gnome-shell installed.

`-D nautilus_extension=false`: This switch disables a dependency on the nautilus file manager. Use this option if you do not have Nautilus installed.

## Contents

Installed Program: gnome-terminal
Installed Libraries: /usr/lib/nautilus/extensions-4/libterminal-nautilus.so (Nautilus Extension)
Installed Directories: /usr/{lib,share/help/*}/gnome-terminal and /usr/share/xdg-terminals

### Short Descriptions

gnome-terminal | is the GNOME Terminal Emulator

- Prev

  gnome-system-monitor-47.1

- Next

  gnome-weather-47.0

- Up
- Home